Bug 65636 - lspci error parsing -s argument
lspci error parsing -s argument
Product: Red Hat Linux
Classification: Retired
Component: pciutils (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-05-29 04:35 EDT by Philip Pokorny
Modified: 2014-03-16 22:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-06-12 02:53:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to fix -s parsing and error message (1.15 KB, patch)
2002-05-29 04:37 EDT, Philip Pokorny
no flags Details | Diff

  None (edit)
Description Philip Pokorny 2002-05-29 04:35:23 EDT
Description of Problem:
lspci -s command line option does not parse the legal slot 0:1f.1 correctly. 
Error message says invalid argument to -f option.  -f is not a valid option to

Investigation of the code shows a typo in the error reporting and a range error
in the ..._filter_slot function whose ranges are INCLUSIVE at both ends.

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. lspci -s 0:1f

Actual Results:

lspci: -f: Invalid slot number

Expected Results:

PCI data for slot 0:1f.*

Additional Information:
Comment 1 Philip Pokorny 2002-05-29 04:37:17 EDT
Created attachment 58804 [details]
Patch to fix -s parsing and error message
Comment 2 Bill Nottingham 2002-07-18 21:20:25 EDT
Fixed in 2.10-1 (where this patch was applied upstream). Thanks!

Note You need to log in before you can comment on or make changes to this bug.